# Class ProtocolException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.net.ProtocolException

All Implemented Interfaces:
  `Serializable`

public class ProtocolException extends IOException
Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

Since:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ProtocolException()`
Constructs a new `ProtocolException` with no detail message.
`ProtocolException(String message)`
Constructs a new `ProtocolException` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProtocolException

public ProtocolException(String message)
Constructs a new `ProtocolException` with the specified detail message.

Parameters:
  `message` - the detail message.

### ProtocolException

public ProtocolException()
Constructs a new `ProtocolException` with no detail message.